:root, [data-bs-theme=light] {
  --bs-primary: #8b0000;
  --bs-primary-rgb: 139,0,0;
  --bs-primary-text-emphasis: #380000;
  --bs-primary-bg-subtle: #E8CCCC;
  --bs-primary-border-subtle: #D19999;
  --bs-success: #00b900;
  --bs-success-rgb: 0,185,0;
  --bs-success-text-emphasis: #004A00;
  --bs-success-bg-subtle: #CCF1CC;
  --bs-success-border-subtle: #99E399;
  --bs-danger: #dc3545;
  --bs-danger-rgb: 220,53,69;
  --bs-danger-text-emphasis: #58151C;
  --bs-danger-bg-subtle: #F8D7DA;
  --bs-danger-border-subtle: #F1AEB5;
  --bs-body-font-family: 'Noto Sans JP', sans-serif;
  --bs-link-color: #8b0000;
  --bs-link-color-rgb: 139,0,0;
  --bs-link-hover-color: #ae3636;
  --bs-link-hover-color-rgb: 174,54,54;
  --bs-link-decoration: none;
  --bs-link-hover-decoration: none;
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #8b0000;
  --bs-btn-border-color: #8b0000;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #760000;
  --bs-btn-hover-border-color: #6F0000;
  --bs-btn-focus-shadow-rgb: 238,217,217;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #6F0000;
  --bs-btn-active-border-color: #680000;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #8b0000;
  --bs-btn-disabled-border-color: #8b0000;
}

.btn-outline-primary {
  --bs-btn-color: #8b0000;
  --bs-btn-border-color: #8b0000;
  --bs-btn-focus-shadow-rgb: 139,0,0;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #8b0000;
  --bs-btn-hover-border-color: #8b0000;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #8b0000;
  --bs-btn-active-border-color: #8b0000;
  --bs-btn-disabled-color: #8b0000;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #8b0000;
}

.btn-success {
  --bs-btn-color: #000000;
  --bs-btn-bg: #00b900;
  --bs-btn-border-color: #00b900;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #26C426;
  --bs-btn-hover-border-color: #19C019;
  --bs-btn-focus-shadow-rgb: 0,28,0;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #33C733;
  --bs-btn-active-border-color: #19C019;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #00b900;
  --bs-btn-disabled-border-color: #00b900;
}

.btn-outline-success {
  --bs-btn-color: #00b900;
  --bs-btn-border-color: #00b900;
  --bs-btn-focus-shadow-rgb: 0,185,0;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #00b900;
  --bs-btn-hover-border-color: #00b900;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #00b900;
  --bs-btn-active-border-color: #00b900;
  --bs-btn-disabled-color: #00b900;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #00b900;
}

.btn-danger {
  --bs-btn-color: #fff;
  --bs-btn-bg: #dc3545;
  --bs-btn-border-color: #dc3545;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #BB2D3B;
  --bs-btn-hover-border-color: #B02A37;
  --bs-btn-focus-shadow-rgb: 250,225,227;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #B02A37;
  --bs-btn-active-border-color: #A52834;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #dc3545;
  --bs-btn-disabled-border-color: #dc3545;
}

.btn-outline-danger {
  --bs-btn-color: #dc3545;
  --bs-btn-border-color: #dc3545;
  --bs-btn-focus-shadow-rgb: 220,53,69;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #dc3545;
  --bs-btn-hover-border-color: #dc3545;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #dc3545;
  --bs-btn-active-border-color: #dc3545;
  --bs-btn-disabled-color: #dc3545;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #dc3545;
}

a {
  text-decoration: var(--bs-link-decoration);
}

a:hover {
  text-decoration: var(--bs-link-hover-decoration);
}

